

<a id ="top"></a>

# Markdown相关知识点

# 标题相关

一级标题为1个# 

二级标题为2个# 

三级标题为3个# 

例子：

# 这是一级标题

## 这是二级标题

### 这是三级标题

# 标号相关



## 无序标号

*/+/- + 空格 + 标题

* Part A

+ Part B

- Part C



## 有序标号

数字 + 英文句号 + 空格 + 标题

1. Part A
2. Part B
3. Part C



## 标号嵌套

回车之后按一个tab

### 有序嵌套有序

1. Part A
2. Part B
   1. part B.A
   2. Part B.B

3. Part C
   1. Part C.A
   2. Part C.B
      1. Part C.B.A
      2. Part C.B.B
4. Part D

### 无序嵌套无序

* 水果
  * 苹果
  * 香蕉
  * 西瓜
* 蔬菜
  * 根茎类
    * 土豆
    * 马铃薯
    * 胡萝卜
  * 叶子类
    * 芹菜
    * 菠菜
    * 青菜

### 有序嵌套无序

1. 一级标题

2. 二级标题

   * 子项 1

   * 子项 2

     1. 子子项 1

     + 子子项 2

3. 三级标题

4. 四级标题



# 文字相关

## 加粗

格式为 *\*加粗的信息** 两个星号包裹起来

这个是**加粗的信息**

## 倾斜

格式为\*倾斜的信息\* 一个星号包裹起来

这个是*倾斜的信息*

## 加粗和倾斜

格式为\*\*\*倾斜的信息\*\*\* 三个个星号包裹起来

这个是***加粗和倾斜的信息***

#  <a id="target-section">代码块</a>



## 单行代码块

使用反引号（`）将代码包围起来。

这是一个示例代码`Console.Write("Hello, world");`



## 多行代码块

- 用三个反引号（\`\`\`）包裹代码，可在起始符号后指定编程语言（如`C#`）以开启语法高亮。

```C#
using System;

namespace HelloWorld
{
    class Program
    {
        static void Main(string[] args)
        {
            Console.WriteLine("Hello, World!");
        }
    }
}
```



# 超链接

## 文字超链接

* 行内式超链接

语法格式为`[链接文本](链接地址)`。

这是一个示例[百度](https://www.baidu.com)

* 参考式超链接

另外一种格式`[链接文本](链接地址)` 后面在定义一个`[链接标识符]: 链接地址`

先定义[tencent - cloud]: https://cloud.tencent.com 这个定义可以定义在任何地方

在使用

[腾讯云][tencent - cloud]

* 自动链接

直接使用尖括号`<>`包裹 URL，

百度网址<https://www.baidu.com>



## 图片超链接

格式为`[![错误显示](可以是本地地址也可以是远程地址)](跳转的地址)`

[![mark](https://markdown-here.com/img/icon256.png)](https://markdown-here.com/)





## 页面内跳转

**使用 HTML 锚点标签**：在跳转目标位置添加 HTML 标签并设置`id`属性，例如`<h2 id="target - section">目标章节</h2>`。然后在跳转链接处使用`href`指向这个`id`，链接格式为`[跳转到目标章节](#target - section)`。渲染成 HTML 后，点击 “跳转到目标章节” 就会跳转到相应标题处。

[点击跳转到目标章节](#target-section)

[回到顶部](#top)

**直接定义**：语法 `[文字描述](#跳转的标题)`

[标号嵌套](#标号嵌套)

# 其他

## 分割线

- 用三个或以上的 `-`（短横线）、`*`（星号）或 `+`（加号），并单独占一行。

***

---

+++

___

## 图片

格式为`![错误显示](可以是本地地址也可以是远程地址)`

* 本地地址

![本地图片](./assets/icon256-1751871393146-5-1751871396237-7.png)

* 远程地址

![mark](https://markdown-here.com/img/icon256.png)

## 表格

```md
|  表头   | 表头  |
|  ----  | ----  |
| 单元格  | 单元格 |
| 单元格  | 单元格 |

| 左对齐 | 右对齐 | 居中对齐 |
| :-----| ----: | :----: |
| 单元格 | 单元格 | 单元格 |
| 单元格 | 单元格 | 单元格 |
```

| 表头1  | 表头2  | 表头三 |
| :----: | :----: | :----: |
| 单元格 | 单元格 | 单元格 |
| 单元格 | 单元格 | 单元格 |

## 引用

引用使用`>`+ 你要引用的话

> 这是一行引用

多行引用直接依次书写，也可以引用图片，代码块，等等

> 这是引用
>
> ```C#
> //引用代码块
> Console.WriteLine("Hello, World!");
> ```
>
> * 标题一
>   * 标题二
>     * 标题三



# 路径



## 相对路径

就是直接根据当前md文件所在的目录开始 

例子`./assets/icon256.png`;

![图片](./assets/icon256.png)

## 绝对路径

就是直接从C盘或者D盘开始 

例子

![图片](./pictures/icon256.png)